Subject: linux-next: build failure after merge of the kunit-next tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 4 Oct 2024 14:11:46 +1000

Hi all,

After merging the kunit-next tree, today's linux-next build (x86_64
allmodconfig) failed like this:

ERROR: modpost: "utf8nlen" [fs/unicode/tests/utf8_kunit.ko] undefined!
ERROR: modpost: "utf8ncursor" [fs/unicode/tests/utf8_kunit.ko] undefined!
ERROR: modpost: "utf8byte" [fs/unicode/tests/utf8_kunit.ko] undefined!
ERROR: modpost: "utf8version_is_supported" [fs/unicode/tests/utf8_kunit.ko] undefined!

Caused by commit

  94d8a0976d2d ("unicode: kunit: refactor selftest to kunit tests")

I have used the kunit-next tree from next-20241003 for today.

-- 
Cheers,
Stephen Rothwell